
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-njl
Summary:		NJL LADSPA plugin
Version:		0.2.1
Release:		2.4
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			njl-plugins-%{version}.tar.bz2
Patch:			ladspa-njl-plugins-Makefile.diff
URL:			http://users.ecs.soton.ac.uk/njl98r/code/audio/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
The package contains the njl LADSPA plugins:

noise_1921.so
1921 IEEE Single Precision Noise
  Sign, Mantissa and Exponent are fed by a pseudo-random number generator
  resulting in a sort of crackling white noise with 0dB peak amplitude.

noise_1922.so
1922 Integer Noise
  White noise with variable precision from a pseudo-random number generator

eir_1923.so
1923 Experiments in Representation
  Simulate half-precision floating point and other representations

risset_1924.so
1924 Continuos Risset Scales
  Popular aural illusion in which a sound appears to continuously increase
  (or decrease) in pitch.



%prep
%setup -q -n njl-plugins
%patch

%build
%__make \
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING PLUGINS README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.2.1-0.pm.1
- splitt-off from ladspa package
